hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HBASE-17725) LimitedPrivate COPROC / PHOENIX interface broken on maintenance release
Date Fri, 10 Mar 2017 20:53:04 GMT

     [ https://issues.apache.org/jira/browse/HBASE-17725?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sean Busbey resolved HBASE-17725.
---------------------------------
      Resolution: Fixed
    Hadoop Flags: Incompatible change
    Release Note: 
<!-- markdown -->

HBASE-16972 introduced a Java Binary Incompatible change for users of the LimitedPrivate(Coprocessor)
API; the interface `RpcServiceInterface` added a new method `setRsRpcServices`.

Downstream users who implement their own version of the interface will need to implement the
method.

Summary of responses to the dev@phoenix request is "not a problem" and some instructions on
how we could check for this breakage locally. I'm not sure if we want to set up a job to check
for problems, but we could do if folks thought it would help long term.

> LimitedPrivate COPROC / PHOENIX interface broken on maintenance release
> -----------------------------------------------------------------------
>
>                 Key: HBASE-17725
>                 URL: https://issues.apache.org/jira/browse/HBASE-17725
>             Project: HBase
>          Issue Type: Bug
>          Components: regionserver
>    Affects Versions: 1.2.5, 1.1.8
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Blocker
>             Fix For: 1.2.5
>
>         Attachments: 1.2.4_1.2.5RC0_compat_report.html
>
>
> The compatibility report for HBase 1.2.5 RC0 flagged one item, the interface {{RpcServiceInterface}}
added a new method {{setRsRpcServices}}. That interface is labeled {{IA.LimitedPrivate(COPROC,
PHOENIX)}}.
> AFAICT this change came in on HBASE-16972. There's discussion on that ticket about the
compatibility impact of the change in logging on earlier releases (which I remain fine with).
The only discussion about binary/source compatibility expressly changes a different part of
the patch to avoid breaking coprocessors and phoenix.
> As an extra wrinkle, this change has already been published in the 1.1.z release line
for 1.1.8 and 1.1.9. Apologies, but I haven't gone to verify there wasn't a discussion of
this break when 1.1.8 came out.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message